- local_loop:
    name: image0
    size: 22G

- partitioning:
    base: image0
    label: gpt
    partitions:
      - name: BSP
        type: 'EF02'
        size: 4MiB
      - name: ESP
        type: 'EF00'
        size: 250MiB
        mkfs:
          type: vfat
          mount:
            mount_point: /boot/efi
            fstab:
              options: "defaults"
              fsck-passno: 1
      - name: root
        type: 8E00
        size: 100%

- lvm:
    name: lvm
    pvs:
      - name: pv
        options: ["--force"]
        base: root

    vgs:
      - name: vg
        base: ["pv"]
        options: ["--force"]

    lvs:
      - name: lv_root
        base: vg
        size: 5G

      - name: lv_tmp
        base: vg
        size: 1G

      - name: lv_var
        base: vg
        size: 5G

      - name: lv_vartmp
        base: vg
        size: 1G

      - name: lv_varlog
        base: vg
        size: 1G

      - name: lv_varlogaudit
        base: vg
        size: 1G

      - name: lv_home
        base: vg
        size: 1G

      - name: lv_etcd
        base: vg
        size: 1G

      - name: lv_containerd
        base: vg
        size: 1G

      - name: lv_kubelet
        base: vg
        size: 1G

      - name: lv_opt
        base: vg
        size: 2G

- mkfs:
    name: fs_root
    base: lv_root
    type: ext4
    label: "img-rootfs"
    mount:
        mount_point: /
        fstab:
            options: "rw,relatime"
            fsck-passno: 1

- mkfs:
    name: fs_var
    base: lv_var
    type: ext4
    label: "img-var"
    mount:
        mount_point: /var
        fstab:
            options: "rw,relatime,nodev,nosuid"
            fsck-passno: 1

- mkfs:
    name: fs_vartmp
    base: lv_vartmp
    type: ext4
    label: "img-vartmp"
    mount:
        mount_point: /var/tmp
        fstab:
            options: "rw,relatime,nodev,nosuid,noexec"
            fsck-passno: 1

- mkfs:
    name: fs_varlog
    base: lv_varlog
    type: ext4
    label: "img-varlog"
    mount:
        mount_point: /var/log
        fstab:
            options: "rw,relatime,nodev,nosuid,noexec"
            fsck-passno: 1

- mkfs:
    name: fs_varlogaudit
    base: lv_varlogaudit
    type: ext4
    label: "img-varlogaudit"
    mount:
        mount_point: /var/log/audit
        fstab:
            options: "rw,relatime,nodev,nosuid,noexec"
            fsck-passno: 1

- mkfs:
    name: fs_tmp
    base: lv_tmp
    type: ext4
    label: "img-tmp"
    mount:
        mount_point: /tmp
        fstab:
            options: "rw,relatime,nodev,nosuid,noexec"
            fsck-passno: 1

- mkfs:
    name: fs_home
    base: lv_home
    type: ext4
    label: "img-home"
    mount:
        mount_point: /home
        fstab:
            options: "rw,relatime,nodev,nosuid"
            fsck-passno: 1

- mkfs:
    name: fs_etcd
    base: lv_etcd
    type: xfs
    label: "img-etcd"
    mount:
        mount_point: /var/lib/etcd
        fstab:
            options: "rw,relatime,nodev"
            fsck-passno: 1

- mkfs:
    name: fs_containerd
    base: lv_containerd
    type: ext4
    label: "img-containerd"
    mount:
        mount_point: /var/lib/containerd
        fstab:
            options: "rw,relatime,nodev"
            fsck-passno: 1

- mkfs:
    name: fs_kubelet
    base: lv_kubelet
    type: ext4
    label: "img-kubelet"
    mount:
        mount_point: /var/lib/kubelet
        fstab:
            options: "rw,relatime,nodev"
            fsck-passno: 1

- mkfs:
    name: fs_opt
    base: lv_opt
    type: ext4
    label: "img-opt"
    mount:
        mount_point: /opt
        fstab:
            options: "rw,relatime,nodev"
            fsck-passno: 1
